Welcome to DigitalWeb InstallWizard

DigitalWeb InstallWizard

Welcome to DigitalWeb InstallWizard, the new Worldwide Standard for Enabling Software Distribution to Windows Platforms Quickly and Easily!

InstallWizard has been designed to make creating a professional-quality installation faster and easier than ever before, while still providing the features you need most.

Features:

- Very simple wizard interface - design and modify your setup without writing a single line of code!
- Full install and uninstall support for Windows 95/98/ME, Windows NT, and Windows 2000.
- Default settings which fully conform to Microsoft Windows 95 Setup Guidelines for Independent Software Vendors, part of the Windows 95 logo requirements.
- Customizable user interface, including custom bitmaps and billboards.
- Unlimited, lifetime distribution license.
- Single-file, self-extracting .EXE option for distribution across networks.
- Password protection.
- Automatic file compression and compressed library splitting.
- Automatic registry entries for Windows 95/98/NT/2000.
- Quick registry key creation and easy .REG file merge.
- Custom and Compact setup type options.
- Self-registering OCX/OCB/DLL/EXE support.
- Internationalization with language support for English and Portuguese.
- Easy icon specification.
- File copy options assignable by individual file groups
- Additional disk build options, including a Custom Size option that allows you to set the created disk images to any size you wish.
- Install from Network - Download your install files directly from your site and install.


Nova pagina 1

License Agreement for InstallWizard

1. General License Agreement

This file must be distributed with every copy of InstallWizard. It may not be removed or modified.

This information pertains to all use of this software worlwide.

This document pertains to the use and distribution of InstallWizard. It applies to all InstallWizard program and documentation files. InstallWizard is protected by law and international treaties.

* Application:

You are allowed to install one copy of SOFTWARE InstallWizard and use it on your computer.

* Distribution of installations:

You are only allowed to distribute the created installation files with a registered version of InstallWizard. You have (i) to put a valid copyright information of you or your company somewhere in the installation Wizard's interface and (ii) to agree protecting DigitalWeb from any complaints of third parties. You are further not allowed to remove the DigitalWeb Copyright information from the configuration files.

* Freeware - Shareware:

Private persons can use InstallWizard Freeware while the use is (i) private, (ii) non-commercial. A commercial use is defined where InstallWizard is used for installaing Software, which can be buyed, licencened or registered in any way. Demo software for commercial software is restricted to and need the shareware version. You are only allowed to use the Shareware-Version of InstallWizard for commercial software.

* Backup copy:

You are allowed to create one single copy of the SOFTWARE InstallWizard. You are allowed to use this this copy for backup issues.

Additional Restrictions

* Restrictions according to Reverse Engineering, Decompilation and Disassembling:

You are not allowed to decompile or disassemble the SOFTWARE InstallWizard (Reverse Engineering).

* Separating components:

The SOFTWARE InstallWizard is licenced as one single product. You are not allowed to separate ist components to use them on more than one computer.

* Software transfer:

You are allowed to transfer all your rights from this agreement to other persons, when you do not hold back one copy of the SOFTWARE InstallWizard, and transfer the total package of the SOFTWARE InstallWizard (including all components, the media and printed materials and all updates of this agreement), and the receiving person agrees with this agreement.

* Denouncing:

DigitalWeb is allowed to denounce this agreement, when you act against this agreement in any way. In this case you are liable to destroy and remove all copies of the SOFTWARE InstallWizard and its components.

5. REGISTRATION DATA:

By registering the SOFTWARE InstallWizard you receive your personal registration key, consisting of your user name and your personal registration number. You are allowed to use this key on one computer at the same time. You are not allowed to rent or hire out this key to to another user, when it is not a long-term transfer as described above.

6. UNREGISTERED VERSION:

You are allowed to install the unregistered version of SOFTWARE InstallWizard on a computer and to use it for test issues, which have the purpose to test the ability of the SOFTWARE InstallWizard for ist later use. You are not allowed to distribute the created installation files in form of the project file or the created installation files to third parties or other persons as log as you are not owner of a valid registration key.

7. PRODUCT SUPPORT:

Support for the SOFTWARE InstallWizard will be provided through DigitalWeb for 30 days after receiving the licenced software or the registration key. Please refere to the support section on the page on http://www.digitalweb.com.br.com/installwizard, to get software support.

8. DISTRIBUTION

InstallWizard (unregistered) is freely distributable to anyone and everyone so long as it is distributed in UNMODIFIED FORM and no fees are charged. By registering InstallWizard you agree to all terms of this agreement.

2. Limited Warranty

DigitalWeb warrants that the SOFTWARE InstallWizard will perform substantically in accordance with the documetation materials for a period of ninety (90) days from the date of receipt.

Customer remedies. DigitalWeb's entire liability and your exclusive remedy shall be return the price paid. This Limited Warranty is void if failure of SOFTWARE InstallWizard has resulted from accident, abuse or misapplication. Any replacement of SOFTWARE InstallWizard will be warranted for the remainder of the original warranty period or thirty (30) days, whichever is longer.

No other warranties. To the maximum extend permitted by applicable law, DigitalWeb disclaim all other warranties, either or implied, including, but not limited to implied warranties of merchantability and fitness for a particular purpose, with regard to SOFTWARE InstallWizard. the possibly accomanying written materials.

Although the authors have attempted to find and correct any bugs in the software, they are not responsible for any damage or losses of any kind caused by the use or misuse of the software. There may also be errors in the programmcode. The authors are under no obligation to provide service, corrections, or upgrades to SOFTWARE InstallWizard.

3. Copyright

DigitalWeb InstallWizard

Copyright © 2000 Rogerio Silva, DigitalWeb Brazil. All rights reserved.

Microsoft, Windows and Windows NT are registered trademarks of the Microsoft Corporation.


Nova pagina 1

Restrictions of the freeware version of InstallWizard:

-Progress Dialog are locked
-Setup Type Dialog disabled
-Registry function disabled
-Password function disabled
-Registration function disabled
-Media based installation disabled
-MessageBox at beginning of installation

DigitalWeb InstallWizard - Shareware Version

-Full operational.
-Installations never expires.


Opening a New Project or Existing Setup Project

When you first start InstallWizard, a welcome message box will be displayed. Click Start New Project to create a new setup project or click on your project name to Open your Setup Project.


Organize and Prepare Your Files

Even though InstallWizard is the most convenient installation toolkit yet created, using it does require some preparation. In order to plan a successful setup, you need to consider the structure of your application files.

Because every setup has a unique set of files and varying installation requirements, InstallWizard includes a flexible, yet simple, organizing system. Your files are copied into groups, which are included in components. These components can be used to create multiple setup types.
All of the files in a group will be copied to the same directory. Copying your files into the group will be quick and easy if you already you have them in separate directories which represent your groups.


InstallWizard Directory Specifiers

One of the biggest considerations in creating a setup is accounting for the differences between the various target systems of your users. You have no way of knowing where a particular user will want to install your application, nor even where the main Windows and System directories are on that system.
For that reason, InstallWizard includes a set of directory specifiers which are replaced by information about the user's system during the installation. They are used whenever you need to express the location of a file after it has been copied to the target system.

<INSTALLDIR> This specifier is replaced with the main installation directory selected by the user during the setup process. The user selects this directory in the Choose Destination Location
dialog (although, in an installation with multiple setup types, he may override his earlier selection in either the Setup Type or Custom Setup user dialog).

<WINDIR> This specifier is replaced with the main Windows directory on the target system (e.g. C:\WINDOWS).

<WINSYSDIR> This specifier is replaced with the Windows System directory on the target system (e.g. C:\WINDOWS\SYSTEM). If the target machine is running Windows NT, this specifier will indicate the SYSTEM32 directory if you have a 32-bit setup.

<WINDISK> This specifier is replaced with the drive letter of the disk containing the Windows directory (e.g. C:).

<ProgramFilesDir> This specifier is replaced with the Program Files directory on the target system (e.g. C:\PROGRAM FILES). In Windows 95, the Program Files directory location is stored in the registry under the "ProgramFilesDir" value name.

<CommonFilesDir> This specifier is replaced with the Common Files directory on the target system (e.g. C:\PROGRAM FILES\COMMON FILES). In Windows 95, the Common Files directory location is stored in the registry under the "CommonFilesDir" value name.


Organize and Prepare Your Files

4 steps to create your first setup

1) Click "Start New Project"

1.1) In Project Name type "MyProject"
1.2) In Project Description type "My first install"
1.3) In Project Language choose your language. Default: English
1.4) If you want, select your Project Type.
1.5) Click "OK"

Now, the DigitalWeb InstallWizard main window will open.

2) Click "Components and Files"
2.1) In "File Groups" right-click "Program Files" and select "Add File"
2.2) Select some file to add to your installation

3) Click "Folder and Icons"
3.1) In "Program" combo-box, select your program.
3.2) In "Description" type "MyProgram"
3.3) In "Folder" select "Programs Menu Folder"
3.4) In "Show" select "Normal"

4) Click "Build Setup"
4.1) Click in "Build" button.

That's it! Your setup is ready to work.

Your setup are located in DigitalWeb InstallWizard folder.
i.e: c:\program files\digitalweb\digitalweb installwizard\MyProject


Organize and Prepare Your Files

4 steps to create your first setup

1) Click "Start New Project"

1.1) In Project Name type "MyProject"
1.2) In Project Description type "My first install"
1.3) In Project Language choose your language. Default: English
1.4) If you want, select your Project Type.
1.5) Click "OK"

Now, the DigitalWeb InstallWizard main window will open.

2) Click "Components and Files"
2.1) In "File Groups" right-click "Program Files" and select "Add URL"
2.2) Type your target URL. i.e: http://www.digitalweb.com.br/ras2000.zip

3) Click "Folder and Icons"
3.1) In "Program" combo-box, select your program.
3.2) In "Description" type "MyProgram"
3.3) In "Folder" select "Programs Menu Folder"
3.4) In "Show" select "Normal"

4) Click "Build Setup"
4.1) Click in "Build" button.

That's it! Your setup is ready to work.

Your setup are located in DigitalWeb InstallWizard folder.
i.e: c:\program files\digitalweb\digitalweb installwizard\MyProject


Set the Visual Design

The first three dialogs of InstallWizard ask you to enter some basic application information, which is mostly used behind the scenes by Express, and the settings for the overall visual design of your installation.


Set the Visual Design

The Application Information dialog collects information which InstallWizard uses internally. You must enter information or leave the default settings in the Application Name, Version, and Company fields in order to comply with Windows 95 Setup Guidelines. If you erase any of these fields, InstallWizard will not be able to make the automatic registry entries necessary to meet Windows 95 specifications, including the uninstallation entry.
This dialog contains five edit fields:

Application Name: Enter the full name of your application (80 characters max.). The default setting for this field will be the project name you entered in the New Project dialog box.
n Application Executable: Click the browse (...) push button next to this field to launch the Open dialog. From this dialog, locate and select your primary executable file. When you click the Open push button to accept your selection, the filename will be displayed in the grayed edit field, along with the [Program Files]directory specifier.

Version: If you specify an executable file in the Application Executable field which contains a version resource, InstallWizard will enter the version number in the Version field. Otherwise, the default setting for this field is 1.0. You can also enter or modify the version number of your application. You can format your version number however you like (the field will accept up to 40 characters).

Check that you have not left any of the following fields blank in the Application Information dialog: "Application Name," Version" and "Company." These three values are used as paths for the registry entries that InstallWizard automatically makes for your setup. If one or more of these paths is missing, the registry entries required for your setup to have Windows 95 Uninstall capability cannot be made, and therefore your application's name will not appear in the Control Panel's Add/Remove Programs Properties applet.

Company: Enter the name of your company (80 characters max.). The default setting for this field will be the company name you entered when you first installed InstallWizard.

Note: If the entry in the Company field contains any illegal characters (such as '?'), your setup will fail when it tries to create this default destination directory.

Default Destination Directory: The default destination directory is the default location where your application will be installed on the target system if no directory is specified by the user. This default entry follows this format: <ProgramFilesDir>\Company Name\Project Name. For example, if you specify your application name to be "My Application" and your company to be "My Company", and your user's Program Files directory is located at "C:\Program Files", the default destination directory will be "C:\Program Files\My Company\My Application". However, you can modify this default entry created by InstallWizard to have any destination directory created.
After you have entered the above information, you can click OK to accept the data, Cancel to reject it, or either of the two other tabs, or , to enter additional information in the Set the Visual Design window.


Set the Visual Design

The Main Window dialog allows you to create a distinctive appearance for your setup with minimal effort. The dialog box is broken down into two group boxes and one combo box:

Main Title: Select either the Bitmap or Text radio button, depending on whether or not you have a bitmap which you want to use as the main title displayed on the background of your installation.
If you select the Text radio button, click the edit field beneath the radio buttons and type the title text exactly as you want it to appear (80 characters max.). The title will be displayed across the background, starting at top left.
If you want to use a bitmap as your title, select the Bitmap radio button. You can then either click the browse (...) button to locate the bitmap file, or you can type the fully qualified path and filename in the edit field. The bitmap will appear at top left.

If you do not want to display a title at top left, clear the edit field.
Logo Bitmap: Use this group box if you have a bitmap (other than a title bitmap) which you want to display in the installation.
To use this box to display a bitmap, click the browse (...) button to select a bitmap file, or type the path and name of the file in the Bitmap edit field.

Note If you select Top Left for your logo bitmap, and you also entered text or a bitmap in the Main Title group box, the logo bitmap will be displayed behind the main title text or bitmap.

Background Color: Click the down arrow push button to open the drop-down list which contains the different colors you can select for the background of your setup. Your choices include blue, green and red.


Set the Visual Design

The Dialog Boxes dialog consists of consists of the Settings For list box, which contains check boxes for selecting and deselecting each of the user interface components in your setup.

To select or deselect a user dialog, click the check box next to the dialog name.
Click the Preview push button to see a full-size preview of the highlighted dialog.
To modify the settings for a particular user dialog, highlight the dialog and click the Settings tab.

InstallWizard includes the following user dialogs:

Welcome Bitmap
Welcome Message
Software License Agreement
Readme Information
User Information
Choose Destination Location
Setup Type
Select Program Folder
Start Copying Files
Progress Indicator
Setup Complete


Set the Visual Design

Welcome Message

The Welcome Message user dialog displays a message welcoming the user to your application's installation, instructions to exit all Windows programs before starting the setup, and a brief copyright warning.
InstallWizard will automatically place the application name you entered in the Application Information dialog in the top static text field of the Welcome Message user dialog.
There are no settings for this dialog.

Software License Agreement

The Software License Agreement user dialog allows you to display a text file containing a copy of your license agreement.
Specify your file on the Software License Agreement Settings tab either by using the Browse... push button to search for the file on your source system, or by typing the fully qualified path and filename in the edit field.

Note The Software License Agreement preview is a pre-canned sample. The previewed image will not change to reflect your specified text file.

Readme Information

The Readme Information user dialog allows you to display a Readme text file to the user before the setup begins collecting information.

Note The contents of the file will not be automatically formatted to fit the width of the multi-line edit field in which the Readme Information dialog displays the text. If you do not want the user to have to use the left and right scroll arrows to read the text, you must format your text file using hard returns at the end of each line to be displayed.

Specify the text file in the Readme Information Settings tab either by using the Browse... push button to search for the file on your source system, or by typing the fully qualified path and filename in the edit field.

Note The Readme Information preview is a pre-canned sample. The previewed image will not change to reflect your specified file.

User Information

The User Information user dialog collects the user's name, company, and, optionally, serial number.
The default setting for this dialog collects all three pieces of information. If you want to get the user's Name and Company, but not the serial number, click the Name and Company radio button in the User Information Settings tab.
If the target system is Windows 95 or NT, the information collected from this dialog will be stored in the registry under the following path:

HKEY_LOCAL_MACHINE\SOFTWARE\<Company>\<AppName>\<Version>
The key names <Company>, <AppName>, and <Version> will be determined by the information you entered in the Application Information InstallWizard dialog.
The values collected from the User Information dialog will be stored under the value names Name, Company, and Serial (if applicable).
If the target system is Windows 3.x, the default entries will be read from the USER.EXE file, and the returned information will be stored in the WIN.INI file. The section will be your application name, and the keywords are Name, Company, and Serial (if applicable).

Choose Destination Location

The Choose Destination Location user dialog allows the user to select the directory in which he wants to install your application. The directory and path selected by the user will be used to replace the <INSTALLDIR> directory specifier in any of the InstallWizard dialogs in which you have used it.

The Default Destination Directory entry that you accepted in the App Info tab of the Set the Visual Design dialog box is also displayed on the Settings tab for the Choose Destination Location dialog box. You can also modify that entry here. If you are creating a 32-bit application, Microsoft's Windows 95 Setup Guidelines recommend that the destination directory for your application be a subdirectory of the Program Files directory, and that you use a long filename to help create a unique name for it.
In InstallWizard, you can designate the Program Files directory on the target system using the <ProgramFilesDir> directory specifier. You can also use the <CommonFilesDir> specifier to indicate the Common Files directory on the target system (e.g. C:\PROGRAM FILES\COMMON FILES). We recommend that you avoid using hard-coded directories in your setup whenever possible by taking advantage of the more flexible InstallWizard directory specifiers.

Note Do not use the <INSTALLDIR> specifier to indicate the default destination directory. The Disk Builder will generate a warning message if you do. InstallWizard uses the Choose Destination Location user dialog to get the value of <INSTALLDIR> from the user. Using <INSTALLDIR> in your setting will create an unusable default for your user.

If you do not specify a directory, InstallWizard will set the default to C:\PROGRAM FILES\<Company>\<Application>. The names of the <Company> and <Application> directories will be determined by the information you entered in the Application Information InstallWizard dialog.

Setup Type

The Setup Type user dialog allows the user to select a Typical, Compact, or Custom installation. You must create the components for each of these setup types in the Specify Components and Files InstallWizard dialog.
This dialog also allows the user to select a destination directory using the Browse... push button. (The user's selection on this dialog will override a selection made on the Choose Destination Location dialog, if applicable, and will reset the value of <INSTALLDIR>.)

This dialog must be selected if you are offering multiple setup types. If you do not want to give the user these options, deselect the Setup Type user dialog. When you select or deselect the Setup Type user dialog, you will automatically select or deselect the Custom Setup user dialog, and vice-versa.
The Setup Type user dialog has no settings.
For more information about setup types, refer to the Groups, Components, and Setup Types section of Planning Your Setup.

Select Program Folder

The Select Program Folder user dialog allows the user to choose the program folder (Windows 95 or NT 4.0) or group (Windows 3.1 or NT 3.51) in which your application icons will be placed.
Specify the default folder name by typing it into the edit field on the Select Program Folder Settings tab. If you do not specify a folder name, InstallWizard will use your setup project name as the default folder name.

Start Copying Files

The Start Copying Files user dialog displays the setup type, destination directory, and user information entered by the user. It allows the user to double-check his entries and, if necessary, go back and modify one or more of them.
Since the text displayed in the multi-line edit field of the Start Copying Files dialog is determined by information obtained from the user, there are no settings for this dialog.

Progress Indicator

The Progress Indicator gives the user a graphical representation of the file-transfer process. The progress bar gradually increments to depict the percentage of the file transfer process which has been completed, while the text field above the bar displays the names of the files as they are copied.
There are no settings for the Progress Indicator.

Setup Complete

The Setup Complete user dialog actually consists of two dialogs: a reboot computer dialog box and a launch application dialog box. The preview shows only the reboot computer dialog.

The readme file option will launch a file named readme.txt. You need to include this file in Components Dialog.


InstallShield Express even makes it easy for you to modify

InstallWizard even makes it easy for you to modify .INI files. Using a few simple shorthand substitutions, you can make your system file changes flexible.


InstallShield Express even makes it easy for you to modify

InstallWizard even makes it easy for you to modify .INI files. Using a few simple shorthand substitutions, you can make your system file changes flexible.

SYSTEM .INI FILES

The System .INI Files dialog allows you to make changes to the system .INI files (such as WIN.INI, SYSTEM.INI, PROTOCOL.INI, etc.) on the target system after the user has specified the necessary setup information.
Use the following steps to add or modify a line in one of the system .INI files:

1. In the System File Changes window, click the name of the file you want to modify to highlight it.
2. Type or select the name of the section which contains the change in the Section combo box. The drop-down list contains some of the more common section names in the highlighted file.
3. Enter the appropriate keyword in the Keyword field.
4. Specify the value you want to change or add in the Value combo box. In order to take advantage of installation information, you can use InstallWizard directory specifiers in this box.

Note If you want to specify a value for the run key using directory specifiers, InstallWizard uses the long path names. For example:<INSTALLDIR>\app.exe is converted to c:\Program Files\InstallWizard\Test\app.exeTo convert this string into a short file name, place the key in quotes"<INSTALLDIR>"\app.exe and the string will be converted into c:\progra~1\instal~1\test\app.exe
5. If you are adding a new line, click the Add to List push button. If you are modifying an existing line, click the Modify List push button.


Nova pagina 1

DigitalWeb Internet Solutions

Your can find us at:

http://www.digitalweb.com.br/english

email: state@digitalweb.com.br

Upgrades, Information:

http://www.digitalweb.com.br/installwizard

If you want to purchase InstallWizard Full, please visit our site:

http://www.digitalweb.com.br/installwizard/register